> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# udeffields

> Get a list of udef fields for a given type. Optionally it is possible to exclude page one fields by adding extrainfo ( 'Contact,excludepageone' )

## "udeffields" MDO List

Get a list of udef fields for a given type.
Optionally it is possible to exclude page one fields by adding extrainfo ( 'Contact,excludepageone' )

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AdminUdefFieldsProvider">AdminUdefFieldsProvider</see> class.
The name of the MDO list is 'udeffields'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/udeffields
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("udeffields", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "udeffieldsheadings"
* "udeffieldsheadingswithallitem"
* "udeffieldsheadingswithallitemwithnoselection"
* "udeffieldsheadingswithnoselection"
* "udeffieldswithallitem"
* "udeffieldswithallitemwithnoselection"
* "udeffieldswithnoselection"


## Related topics

- [UDefField table](/en/database/tables/udeffield.md)
- [udeffieldswithchanges](/en/api/mdo-providers/reference/udeffieldswithchanges.md)
- [udeffieldtype](/en/api/mdo-providers/reference/udeffieldtype.md)
- [UDefFieldGL table](/en/database/tables/udeffieldgl.md)
- [Enum UDefFieldType](/en/automation/crmscript/reference/CRMScript.NetServer.UDefFieldType.md)
- [Working with custom objects and fields in API](/en/custom-objects/reference/index.md)
